Bug 467802 - Window manager warning: Attempt to perform window operation 26 on window none when operation 26 on none already in effect
Window manager warning: Attempt to perform window operation 26 on window none...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F10DesktopTarget
  Show dependency treegraph
 
Reported: 2008-10-20 19:25 EDT by Jesse Keating
Modified: 2014-06-18 05:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:36:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-10-20 19:25:21 EDT
I get this message every time I change virtual desktops to a desktop that has a full screen gnome-terminal on it.  This causes a message to get logged to ~/.xession-errors which causes the disk to be woken up /far/ to frequently.

gnome-terminal-2.24.0-2.fc10.x86_64
metacity-2.24.0-2.fc10.x86_64
Comment 1 Jesse Keating 2008-10-31 17:24:44 EDT
Well, I found the koji build that fixes this, but since it's not tagged for rawhide I'm re-opening this.

https://fedoraproject.org/wiki/ReleaseEngineering/FinalFreezePolicy
Comment 2 Bug Zapper 2008-11-25 23:03:31 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Need Real Name 2009-02-28 01:10:31 EST
I am seeing this same message from metacity on Fedora 10, up to date via yum as of 27 Feb 2009. There have been no recent metacity updates, so I wonder if it is some other Xorg package... I think this just started recently with a symptom of the focus and input getting very confused. I also see another message appearing less frequently in .xsession-errors and do not know if they are related:

Window manager warning: last_focus_time (5606031) is greater than comparison timestamp (5602702).  This most likely represents a buggy client sending inaccurate timestamps in messages such as _NET_ACTIVE_WINDOW.  Trying to work around...

I have to do actions like hot-key switching between virtual desktops or even switching to a text-console and doing metacity --replace to recover focus control. This seems to happen randomly with nearly every mixture of apps I can try, including seamonkey, xterms, and even just the gnome-panel and nautilus.

For me, this is on a Thinkpad X200 with Core 2 Duo, Intel graphics, Intel AGN wireless, and all the usual power management features enabled, and hpet clocksource. It happens many times per hour after a clean boot.
Comment 4 Need Real Name 2009-02-28 11:18:01 EST
To update my preceding comment: I think these two different messages are unrelated. I still get the original "operation 26" message frequently but have stopped getting the other focus time message (and focus failures) since changing my kernel clocksource from hpet to acpi_pm. So it was a red herring that I first started paying attention to the xsession-errors when I had the focus issue.

I will look for the appropriate bug (or create a new one) regarding this time/focus problem.
Comment 5 Bug Zapper 2009-11-18 03:36:44 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 01:36:54 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.